"use client";
import { constructFrom as n } from "./constructFrom.js";
import { toDate as f } from "./toDate.js";
function a(i, c) {
  let t, o = c?.in;
  return i.forEach((e) => {
    !o && typeof e == "object" && (o = n.bind(null, e));
    const r = f(e, o);
    (!t || t < r || isNaN(+r)) && (t = r);
  }), n(o, t || NaN);
}
export {
  a as default,
  a as max
};
